RagTime5Formula Class Reference documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Formula Class Reference

the main class to read the formula part of RagTime 56 file More...

`#include <RagTime5Formula.hxx>`

## Public Member Functions
| RagTime5Formula (RagTime5Document &doc)
| constructor
virtual | ~RagTime5Formula ()
| destructor
int | version () const
| returns the file version
bool | readFormulaClusters (RagTime5ClusterManager::Link const &link, int sheetId)
| try to read some formula cluster
std::set< unsigned long > const & | getFunctionsId () const
| returns the set of function id in fields

## Static Public Member Functions
static std::string | printType (unsigned long fileType)
| debug: print a file type

## Protected Member Functions
bool | readFunctionNames (RagTime5ClusterManager::Link const &link)
| try to read the functions name
bool | readFormulaZones (RagTime5ClusterManager::Cluster &cluster, RagTime5ClusterManager::Link const &link, int sheetId, bool isDefinition)
| try to read a list of formula definition
bool | readFormulaDefinition (RagTime5Zone &zone, long endPos, int sheetId, int n, std::vector< MWAWCellContent::FormulaInstruction > &formula)
| try to read a formula definition
bool | readFormulaPosition (RagTime5Zone &zone, long endPos, int n)
| try to read a formula position
bool | readFormula (MWAWInputStreamPtr &input, std::vector< MWAWCellContent::FormulaInstruction > &formula, long const(&limitPos)[5], std::vector< std::string > const &functions, std::vector< MWAWCellContent::FormulaInstruction > const &cells, libmwaw::DebugStream &f) const
| try to read a formula
bool | readFormula2 (MWAWInputStreamPtr &input, long const(&limitPos)[5], std::vector< std::string > const &functions, std::vector< MWAWCellContent::FormulaInstruction > const &cells, libmwaw::DebugStream &f) const
| try to read a formula (second zone)

## Protected Attributes
RagTime5Document & | m_document
| the parser
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTime5FormulaInternal::State > | m_state
| the state

## Private Member Functions
| RagTime5Formula (RagTime5Formula const &orig)=delete
RagTime5Formula & | operator= (RagTime5Formula const &orig)=delete

## Friends
class | RagTime5Document

## Detailed Description

the main class to read the formula part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Formula() [1/2]

RagTime5Formula::RagTime5Formula | ( | RagTime5Document & | doc | ) |
| explicit

constructor

## ◆ ~RagTime5Formula()

RagTime5Formula::~RagTime5Formula | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Formula() [2/2]

RagTime5Formula::RagTime5Formula | ( | RagTime5Formula const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ getFunctionsId()

std::set< unsigned long > const & RagTime5Formula::getFunctionsId | ( |  | ) | const

returns the set of function id in fields

## ◆ operator=()

RagTime5Formula & RagTime5Formula::operator= | ( | RagTime5Formula const & | orig | ) |
| privatedelete

## ◆ printType()

static std::string RagTime5Formula::printType | ( | unsigned long | fileType | ) |
| inlinestatic

debug: print a file type

Referenced by readFormulaDefinition().

## ◆ readFormula()

bool RagTime5Formula::readFormula | ( | MWAWInputStreamPtr & | input,
|  | std::vector< MWAWCellContent::FormulaInstruction > & | formula,
|  | long const(&) | limitPos[5],
|  | std::vector< std::string > const & | functions,
|  | std::vector< MWAWCellContent::FormulaInstruction > const & | cells,
|  | libmwaw::DebugStream & | f
| ) |  | const
| protected

try to read a formula

Referenced by readFormulaDefinition().

## ◆ readFormula2()

bool RagTime5Formula::readFormula2 | ( | MWAWInputStreamPtr & | input,
|  | long const(&) | limitPos[5],
|  | std::vector< std::string > const & | functions,
|  | std::vector< MWAWCellContent::FormulaInstruction > const & | cells,
|  | libmwaw::DebugStream & | f
| ) |  | const
| protected

try to read a formula (second zone)

Referenced by readFormulaDefinition().

## ◆ readFormulaClusters()

bool RagTime5Formula::readFormulaClusters | ( | RagTime5ClusterManager::Link const & | link,
|  | int | sheetId
| ) |  |

try to read some formula cluster

## ◆ readFormulaDefinition()

bool RagTime5Formula::readFormulaDefinition | ( | RagTime5Zone & | zone,
|  | long | endPos,
|  | int | sheetId,
|  | int | n,
|  | std::vector< MWAWCellContent::FormulaInstruction > & | formula
| ) |  |
| protected

try to read a formula definition

Referenced by readFormulaZones().

## ◆ readFormulaPosition()

bool RagTime5Formula::readFormulaPosition | ( | RagTime5Zone & | zone,
|  | long | endPos,
|  | int | n
| ) |  |
| protected

try to read a formula position

Referenced by readFormulaZones().

## ◆ readFormulaZones()

bool RagTime5Formula::readFormulaZones | ( | RagTime5ClusterManager::Cluster & | cluster,
|  | RagTime5ClusterManager::Link const & | link,
|  | int | sheetId,
|  | bool | isDefinition
| ) |  |
| protected

try to read a list of formula definition

Referenced by readFormulaClusters().

## ◆ readFunctionNames()

bool RagTime5Formula::readFunctionNames | ( | RagTime5ClusterManager::Link const & | link | ) |
| protected

try to read the functions name

## ◆ version()

int RagTime5Formula::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ RagTime5Document

friend class RagTime5Document
| friend

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5Formula::m_document
| protected

the parser

Referenced by readFormulaClusters(), readFormulaDefinition(), readFormulaZones(), and readFunctionNames().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Formula::m_parserState
| protected

the parser state

Referenced by version().

## ◆ m_state

std::shared_ptr<RagTime5FormulaInternal::State> RagTime5Formula::m_state
| protected

the state

Referenced by getFunctionsId(), readFormulaDefinition(), and readFunctionNames().

## ◆ m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Formula::m_structManager
| protected

the structure manager

Referenced by readFormulaDefinition(), and readFormulaPosition().

The documentation for this class was generated from the following files:

- RagTime5Formula.hxx
- RagTime5Formula.cxx